import type { DISCARDED, HookNamesAsConst, RecursivePartialExcept, RelativeTime, SKIPPED } from '@datadog/browser-core';
import type { LogsEvent } from '../logsEvent.types';
export type DefaultLogsEventAttributes = RecursivePartialExcept<LogsEvent>;
export type HookCallbackMap = {
    [HookNamesAsConst.ASSEMBLE]: (param: {
        startTime: RelativeTime;
    }) => DefaultLogsEventAttributes | SKIPPED | DISCARDED;
};
export type Hooks = ReturnType<typeof createHooks>;
export declare const createHooks: () => {
    register<K extends import("@datadog/browser-core").HookNames>(hookName: K, callback: HookCallbackMap[K]): {
        unregister: () => void;
    };
    triggerHook<K extends import("@datadog/browser-core").HookNames>(hookName: K, param: Parameters<HookCallbackMap[K]>[0]): DefaultLogsEventAttributes | "DISCARDED" | undefined;
};
